import { Vue } from "vue-property-decorator";
import { Route } from "vue-router";
import NotificationsModule from "../modules/NotificationsModule";
export default class IndexPage extends Vue {
    notificationsModule: NotificationsModule;
    type: string;
    get notifications(): import("../types/NotificationEvent").NotificationEvent[];
    get isDisableInfinity(): boolean;
    get isInitialLoading(): boolean;
    setCodesFromRoute(route: Route): void;
    infinityLoad(index: number, done: Function): Promise<void>;
    activated(): void;
}
